Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.encog.ml.data.market
Enum MarketDataType

    java.lang.Object
      java.lang.Enum<MarketDataType>
          org.encog.ml.data.market.MarketDataType

All Implemented Interfaces:
  Serializable, Comparable<MarketDataType>

    public enum MarketDataType

extends Enum<MarketDataType>

The types of market data that can be used.

Author:
  jheaton

Enum Constant Summary
`ADJUSTED_CLOSE` The adjusted close.
`CLOSE` The market close for the day.
`HIGH` The high for the day.
`LOW` The low for the day.
`OPEN` The market open for the day.
`VOLUME` The volume for the day.

Method Summary
`static MarketDataType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MarketDataType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPEN

    public static final MarketDataType OPEN

  The market open for the day.

### CLOSE

    public static final MarketDataType CLOSE

  The market close for the day.

### VOLUME

    public static final MarketDataType VOLUME

  The volume for the day.

### ADJUSTED_CLOSE

    public static final MarketDataType ADJUSTED_CLOSE

  The adjusted close. Adjusted for splits and dividends.

### HIGH

    public static final MarketDataType HIGH

  The high for the day.

### LOW

    public static final MarketDataType LOW

  The low for the day.

Method Detail

### values

    public static MarketDataType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MarketDataType c : MarketDataType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MarketDataType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011. All Rights Reserved.